using System;
using System.Collections.Generic;
using System.Linq;
using SqlSugar;
namespace HTCoreServiceApp.Models
{
    /// <summary>
    /// 变量组
    ///</summary>
    [SugarTable("Meta_Group")]
    public class MetaGroup
    {
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="GroupID" ,IsPrimaryKey = true   )]
         public short GroupId { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="DriverID"    )]
         public short? DriverId { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="GroupName"    )]
         public string GroupName { get; set; }
        /// <summary>
        /// Group的起始寄存器，S7位DB编号，AB为变量名称，modbus为4X起始地址偏移量 
        ///</summary>
        [SugarColumn(ColumnName = "GroupRegOrigin")]
        public string GroupRegOrigin { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName="UpdateRate"    )]
         public int? UpdateRate { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="DeadBand"    )]
         public decimal? DeadBand { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
         [SugarColumn(ColumnName="IsActive"    )]
         public bool IsActive { get; set; }
        /// <summary>
        ///  
        /// 默认值: ((1))
        ///</summary>
         [SugarColumn(ColumnName="IsConsecutive"    )]
         public bool IsConsecutive { get; set; }
        /// <summary>
        ///  
        ///</summary>
         [SugarColumn(ColumnName="GroupDescription"    )]
         public string GroupDescription { get; set; }
        /// <summary>
        /// Group类型 
        ///</summary>
         [SugarColumn(ColumnName="GroupType"    )]
         public int? GroupType { get; set; }
        /// <summary>
        ///  
        ///</summary>
        [SugarColumn(ColumnName = "SystemID", IsPrimaryKey = true)]
        public short SystemId { get; set; }
    }
}
